GNU bug report logs - #40964
emacs ada-mode : wisi fails to compile with recent AdaCore wavefronts

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs, ada-mode; Reported by: Koen Meersman <koen.meersman@HIDDEN>; Keywords: pending; dated Wed, 29 Apr 2020 14:52:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) pending. Request was from Stephen Leake <stephen_leake@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Apr 2020 14:51:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 29 10:51:13 2020
Received: from localhost ([127.0.0.1]:44246 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jTo3M-0008Mz-Pj
	for submit <at> debbugs.gnu.org; Wed, 29 Apr 2020 10:51:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:60684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <koen.meersman@HIDDEN>) id 1jTnif-0007nC-7y
 for submit <at> debbugs.gnu.org; Wed, 29 Apr 2020 10:29:49 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48228)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <koen.meersman@HIDDEN>) id 1jTniS-0008SN-9E
 for bug-gnu-emacs@HIDDEN; Wed, 29 Apr 2020 10:29:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.1 required=5.0 tests=BAYES_00,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,HTML_MESSAGE,
 RCVD_IN_DNSWL_NONE,SPF_PASS,URIBL_BLOCKED autolearn=unavailable
 autolearn_force=no version=3.4.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.90_1)
 (envelope-from <koen.meersman@HIDDEN>) id 1jTnhs-0008I3-QC
 for bug-gnu-emacs@HIDDEN; Wed, 29 Apr 2020 10:29:36 -0400
Received: from mail-oi1-x232.google.com ([2607:f8b0:4864:20::232]:43295)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <koen.meersman@HIDDEN>)
 id 1jTnhs-0008Hr-9Q
 for bug-gnu-emacs@HIDDEN; Wed, 29 Apr 2020 10:29:00 -0400
Received: by mail-oi1-x232.google.com with SMTP id j16so1924368oih.10
 for <bug-gnu-emacs@HIDDEN>; Wed, 29 Apr 2020 07:28:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=CKYEGw1SpjSiUAMlnhDLDLjs026sd1kuKVJg0+RFXFw=;
 b=kxHo2XubE7kp7JlS0rL0pltrWSCPXsAdJZIghcXi5HVU+etIC/lHI/kLcGB1H+tx51
 tCAidb/5jFt73vLiXIEw3GjEp/rnQymlPsumQ/e43DQn2AYn8jWdVtceXPe5RAv6tBhw
 dxcw4Eh+HEWRqbFKiMTJF5gAhv08FT4tL3Xs0wCoctTzRBA0M0dHqiV+JBPx31mE9dEP
 DXVoo85nEK5NSde7374cUuFQq6nygiJw81otcThmlurd4id1aoXah0lTKhBiTtjSAkmx
 JVcPY7IMnKtUSs0CNWfv3l+b9iBiK6k/iEr68KWjWuKwxSEXAfGqRaFpe5WZxUVJJtAm
 oxmw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=CKYEGw1SpjSiUAMlnhDLDLjs026sd1kuKVJg0+RFXFw=;
 b=F3mobIwYp+DVUrpQ+CFCswpeAsJZeaLfEWUiqy+gzSpGqoNRgWhxgGHvU7yfNFYRF0
 egbKoMJ04RRtd7fHDXFhgAId3LsVXkkjIybZn27K6wD3J838sB4KvQhqCAT2s2b0u6gX
 38XwyOmjh3rWPzcS1KedlAFA5gaw5eirh/WAt8fK5vg7jwExXO+m2c/cV08X8vhUdCSq
 AkSm+t3Nzttf/CK1rEEeySWrl+NgL48TkjAhw/EE0fGVyCAwzBhSe/p+NWJErsCa1kyS
 fTf+vW5kdt+3YDqg+U3FimCv9GAHVj8Jyjdybuh0neXNjLQ4FeGAJi56nr8Ckzk9A6AF
 +saw==
X-Gm-Message-State: AGi0Puaam3oWZST7dVJ+4/dMnrRSvErlfdlmwqdOFnruOkPoCN7FAlZJ
 KUGf9yCk9oZQrzPBy0w0+c3I8U/uwaDilA565J5zyylfkFE=
X-Google-Smtp-Source: APiQypJR0qMVjUew2ujiKVLnSBr5yXk7IHziMlPgTsLaRnzjgAbc4qs98v0ufDZEvQOk/9M+t8cfdNC5ZvW9LkHukpY=
X-Received: by 2002:aca:f00b:: with SMTP id o11mr1918719oih.174.1588170537714; 
 Wed, 29 Apr 2020 07:28:57 -0700 (PDT)
MIME-Version: 1.0
From: Koen Meersman <koen.meersman@HIDDEN>
Date: Wed, 29 Apr 2020 16:28:45 +0200
Message-ID: <CADi_At9jSR7-jWJTjJXtKhO+2uRP+uDKK_Ku15n=7eJMOy+ghA@HIDDEN>
Subject: emacs ada-mode : wisi fails to compile with recent AdaCore wavefronts
To: bug-gnu-emacs@HIDDEN, ada-mode-users@HIDDEN
Content-Type: multipart/mixed; boundary="000000000000c1149005a46ec405"
Received-SPF: pass client-ip=2607:f8b0:4864:20::232;
 envelope-from=koen.meersman@HIDDEN; helo=mail-oi1-x232.google.com
X-detected-operating-system: by eggs.gnu.org: Error: [-] PROGRAM ABORT :
 Malformed IPv6 address (bad octet value).
 Location : parse_addr6(), p0f-client.c:67
X-Received-From: 2607:f8b0:4864:20::232
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 29 Apr 2020 10:51:11 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000c1149005a46ec405
Content-Type: multipart/alternative; boundary="000000000000c1148e05a46ec403"

--000000000000c1148e05a46ec403
Content-Type: text/plain; charset="UTF-8"

Package: emacs, ada-mode

Hi,

When compiling ada-mode-6.2.1 / wisi-2.2.1 using 'GNAT Pro 21.0w 20200426'
we get following errors:

    wisi.ads:363:04: warning: in instantiation at
sal-gen_unbounded_definite_vectors.adb:448 [enabled by default]
    wisi.ads:363:04: warning: non-local pointer cannot point to local
object [enabled by default]
    wisi.ads:363:04: warning: Program_Error will be raised at run time
[enabled by default]
    wisi.ads:363:04: warning: in instantiation at
sal-gen_unbounded_definite_vectors.adb:504 [enabled by default]
    wisi.ads:363:04: warning: non-local pointer cannot point to local
object [enabled by default]
    wisi.ads:363:04: warning: Program_Error will be raised at run time
[enabled by default]
    sal-gen_unbounded_definite_vectors.adb:448:18: non-local pointer cannot
point to local object
    sal-gen_unbounded_definite_vectors.adb:504:18: non-local pointer cannot
point to local object
    gprbuild: *** compilation phase failed

It looks like wisi violates (according to the new/recent wavefront) some
accessibility rules.
The patch (as attachment) fixes the accessibility errors by modifying
'Access to 'Unrestricted_Access or 'Unchecked_Access.
(This is an ugly hack/patch but I like to show you where the problem is)

Similar problems exist in latest wisi release (3.0.1) and git (
git.savannah.gnu.org/git/emacs/elpa.git)

Can you have a look at the reported errors?

Thanks,

Koen

--000000000000c1148e05a46ec403
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><span style=3D"font-size:medium;color:rgb(0,0,0);font-fami=
ly:monospace">Package: emacs,=C2=A0<span class=3D"gmail-il">ada</span>-<spa=
n class=3D"gmail-il">mode</span></span>=C2=A0=C2=A0<div><br></div><div>Hi,<=
/div><div><br></div><div>When compiling ada-mode-6.2.1 / wisi-2.2.1 using &=
#39;GNAT Pro 21.0w 20200426&#39;</div><div>we get following errors:=C2=A0</=
div><div><br></div><div>=C2=A0 =C2=A0 wisi.ads:363:04: warning: in instanti=
ation at sal-gen_unbounded_definite_vectors.adb:448 [enabled by default]<br=
>=C2=A0 =C2=A0 wisi.ads:363:04: warning: non-local pointer cannot point to =
local object [enabled by default]<br>=C2=A0 =C2=A0 wisi.ads:363:04: warning=
: Program_Error will be raised at run time [enabled by default]<br>=C2=A0 =
=C2=A0 wisi.ads:363:04: warning: in instantiation at sal-gen_unbounded_defi=
nite_vectors.adb:504 [enabled by default]<br>=C2=A0 =C2=A0 wisi.ads:363:04:=
 warning: non-local pointer cannot point to local object [enabled by defaul=
t]<br>=C2=A0 =C2=A0 wisi.ads:363:04: warning: Program_Error will be raised =
at run time [enabled by default]<br>=C2=A0 =C2=A0 sal-gen_unbounded_definit=
e_vectors.adb:448:18: non-local pointer cannot point to local object<br>=C2=
=A0 =C2=A0 sal-gen_unbounded_definite_vectors.adb:504:18: non-local pointer=
 cannot point to local object<br>=C2=A0 =C2=A0 gprbuild: *** compilation ph=
ase failed</div><div><br></div><div>It looks like wisi violates (according =
to the new/recent wavefront) some accessibility rules.</div><div>The patch =
(as attachment) fixes the accessibility errors by modifying &#39;Access to =
&#39;Unrestricted_Access or &#39;Unchecked_Access.</div><div><div dir=3D"lt=
r" class=3D"gmail_signature" data-smartmail=3D"gmail_signature"><div dir=3D=
"ltr"><div>(This is an ugly hack/patch but I like to show you where the pro=
blem is)=C2=A0</div><div><br></div><div>Similar problems exist in latest wi=
si release (3.0.1) and git (<a href=3D"http://git.savannah.gnu.org/git/emac=
s/elpa.git">git.savannah.gnu.org/git/emacs/elpa.git</a>)</div><div><br></di=
v><div>Can you have a look at the reported errors?</div><div><br></div><div=
>Thanks,=C2=A0</div><div><br></div><div>Koen</div><div><br></div><div><br><=
/div><div><br></div><div><br></div></div></div></div></div>

--000000000000c1148e05a46ec403--

--000000000000c1149005a46ec405
Content-Type: application/octet-stream; name="accessability_checks.patch"
Content-Disposition: attachment; filename="accessability_checks.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k9lezkrq0>
X-Attachment-Id: f_k9lezkrq0
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--000000000000c1149005a46ec405
Content-Type: application/octet-stream; name="accessability_checks.patch"
Content-Disposition: attachment; filename="accessability_checks.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k9lezx1g1>
X-Attachment-Id: f_k9lezx1g1
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--000000000000c1149005a46ec405--




Acknowledgement sent to Koen Meersman <koen.meersman@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN, stephen_leake@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN, stephen_leake@HIDDEN:
bug#40964; Package emacs, ada-mode. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 5 May 2020 23:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.